// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class SheepCarcassNAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new SheepCarcassNAddonDeed();
			}
		}

		[ Constructable ]
		public SheepCarcassNAddon()
		{
			AddComponent( new AddonComponent( 6259 ), 0, 0, 0 );
			AddonComponent ac = null;

		}

		public SheepCarcassNAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class SheepCarcassNAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new SheepCarcassNAddon();
			}
		}

		[Constructable]
		public SheepCarcassNAddonDeed()
		{
			Name = "SheepCarcassN";
		}

		public SheepCarcassNAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}